classdef MirrorRef < FFTIFO
    
    methods
        function obj = MirrorRef( varargin )
            obj@FFTIFO( varargin{:} );
        end

        function defineIFO( obj, varargin )
            RoC = 0.1;
            w = 0.001;
            isSph = false;
            x0 = 0;
            
            eval( UtilTK.setVars( who, true, varargin{:} ) );
            
            % setup optics
            obj.addLaser( 'src' );
            obj.addMirror( 'MIR', 'invRoC', 1/RoC, 'Thickness', 0.0, 'T', 0, 'isSpherical', isSph, 'Aperture', -10 );
            obj.addDetector( 'reflMon' );
            
            obj.addOneProp( '', 'src-out', 'MIR-HR' );
            obj.addProp( '', 'MIR-HR', 'reflMon-in', 0 );
            
%             if isSph
%                 obj.setHRfiles( 'MIR', '', 'rsq/2/RoC.*(2./(1+sqrt(1-rsq/RoC^2)))', 0, 1e20, 0, 'RoC', RoC );
%             else
%                 obj.setHRfiles( 'MIR', '', '((x-x0).^2+y.^2)/2/RoC', 0, 1e20, 0, 'RoC', RoC, 'x0', x0 );
%             end
        end
        
        % invq : 1/R - i lambda/pi 1/w^2 => -1/R - i lambda/pi 1/w^2
        function setupBaseMode( obj, varargin )
            RoC = 0.1;
            w = 0.001;
            eval( UtilTK.setVars( who, true, varargin{:} ) );
            qInv = 1/RoC - 1i*1.064e-6/pi/w^2;
            root = obj.optics.findPortID( 'src', 1 );
            obj.cavities.fillQvals( root, qInv );
        end
    end
end