classdef PropIFO < FFTIFO

    methods 
        function defineIFO( obj )
            obj.optics.addLaser( 'src' );
            obj.optics.addDetector( 'detector' );

            cavLeng = input('cavityLeng = ' );
            obj.props.addProp( '', 'src', 1, 'detector', 1, cavLeng );
        end
        
        function setupBaseMode( obj, ~ )
            RoC = 2010;
            [z,z0] = MMTK.FPparam( 1/RoC, 1/RoC, 4000 );
            qInv = 1/( -z + 1i * z0 );
            root = obj.optics.findPortID( 'src', 1 );
            obj.cavities.fillQvals( root, qInv );
        end
    end
end