%% build FP
clear fp; fp = demoFPIFO;

%% This is all FP knowa sbout
fp.printAll

%% lock FP
fp.lock;

%% get general quantity
ID = fp.fields.findNamedField( 'ITM-HR-i' );
fp.gaussFit(ID)

%% calculate mode fractions
abs(fp.LGCoef('ITM-HR-i',0:4,0)).^2/fp.power('ITM-HR-i')

%% calculate field plot on ITM
[E, xs] = fp.getField(ID);
figure(1);
mesh( xs, xs, log(abs(E).^2) )

%% calculate field plot on ITM on larger window
[E, xl] = fp.getField(ID, 1.6);
figure(2);
mesh( xl, xl, log(abs(E).^2) )

%% remove the map
fp.optics.optList(3).updateMirMaps('scale', 0);
fp.lock
E0 = fp.getField(3,1.6);
figure(3)
mesh( xl, xl, log(abs(E0).^2) )

abs(fp.LGCoef('ITM-HR-i',0:4,0)).^2/fp.power('ITM-HR-i')

%% RoC removal and LG00 dominance
fp.optics.optList(3).updateMirMaps('scale', 0, 'RoC', -1/(1/2239.7-1/2245));
fp.lock
abs(fp.LGCoef('ITM-HR-i',0:4,0)).^2/fp.power('ITM-HR-i')