% function [TdataInt, TdataZ] = integrateCMSL( model, x, y, thick, Nthick, slope )
%
% Calculate integral from (x,y,0) to (x+slope*deapth, y, deapth) along lines with slope
% Values are sampled at Nthick points.
%
function [TdataInt, TdataZ] = integrateCMSL( model, symbol, x, y, thick, Nthick, slope )

% make Nthick odd
if rem(Nthick,2) == 0
    Nthick = Nthick + 1;
end

zlist = linspace( 0, thick, Nthick );

TdataZ = interpCMSL( model, symbol, x, y, zlist, slope );
TdataInt = thick * sqrt(1+slope^2) / Nthick / 3*( TdataZ(:,:,1) + TdataZ(:,:,Nthick) ...
    + 4*sum(TdataZ(:,:,2:2:Nthick-1),3) + 2*sum(TdataZ(:,:,3:2:Nthick-1),3) );
