function [FldSRM, xsrm, ysrm] = propSRC( ifo )

ID4 = ifo.fields.findNamedField('BS-ARx-i');
ID6 = ifo.fields.findNamedField('BS-HRy-i');
IDDark = ifo.fields.findNamedField('BS-ARy-o');

ifo.optics.trans(ID6);
Esave = ifo.fields.fieldList(IDDark).EFFT;
ifo.optics.refl(ID4);
ifo.fields.fieldList(IDDark).EFFT = ifo.fields.fieldList(IDDark).EFFT + Esave;

IDSRM3to2 = ifo.fields.findNamedField('SRM3-HRy-o');
IDSRM2to1 = ifo.fields.findNamedField('SRM2-HRy-o');
IDSRM1toD = ifo.fields.findNamedField('SRM-AR-o');
IDdet = ifo.fields.findNamedField('dark-1-i');

ifo.cavities.propFields( [IDDark, IDSRM3to2, IDSRM2to1, IDSRM1toD, IDdet] );

[FldSRM, xsrm, ysrm] = ifo.getField( IDSRM1toD );
