function [xpeak, RTloss, dat] = runFPHGmnInj( fp, HGmn, dRF, nMore )
% function [xpeak, dat] = runFPHGmnInj( fp, HGmn, dRF, nMore )
% dat(1,:) = RF
% dat(2,:) = power
% dat(3,:) = HOM
% dat(4,:) = HG(1,0)

if ~exist( 'nMore', 'var' )
    nMore = 0;
end

if ~exist( 'dRF', 'var' )
    dRF = -10:10;
end

fp.setInputType( 'ind1', 0, 'ind2', 0 );
fp.setRF(0);
fp.lock;

% fp.updateMirMaps('ETM', 'tiltE', tiltE);
fp.setInputType( 'ind1', HGmn(1), 'ind2', HGmn(2) );
RF0 = ConstantTK.c/(2*pi)/fp.props.propList(3).L0*(mod((fp.props.propList(3).gouy00/pi*(fp.fields.getGouyMul-1)),1)-1)*pi;
RFs = RF0 + dRF;
dat = zeros(5,length(RFs));
fprintf(1, 'RFs(0) = %g\n', RF0 );
nTarget = 0;
fMode = fp.fields.fieldMode; % HG or LG
for irf = 1:length(RFs)
    fp.setRF( RFs(irf) );
    fp.calc( 1e-6, 0 );
    dat(1,irf) = RFs(irf);
    dat(2,irf) = fp.power('ETM-HR-o');
    dat(3,irf) = 1 - fp.HGFrac('ETM-HR-o',0,0);
    eval( strcat( 'dat(4,irf) = abs(fp.', fMode, 'Coef(''ETM-HR-o'',HGmn(1), HGmn(2)))^2;') );
    dat(5,irf) = abs(fp.HGCoef('ETM-HR-o',0, 0))^2;
    fprintf(1, '%d > RF = %12.4f, power = %g, %smn = %g, HG00 = %g\n', irf, RFs(irf), dat(2,irf), fMode, dat(4,irf), dat(5,irf) );
    if irf > 3 && nTarget == 0
        if (dat(4,irf) < dat(4,irf-1)) && (dat(4,irf-1) < dat(4,irf-2))
            nTarget = irf + nMore;
        end
    end
    if irf == nTarget
        dat = dat(:,1:irf);
        break;
    end
end

xpeak = peakpos( dat(1,:), dat(4,:));
if xpeak < RFs(1) || xpeak > RFs(end)
    fprintf(1, 'peak (%g) is out of range scaned (%g, %g)\n', xpeak, RFs(1), RFs(end));
end

fp.setRF( xpeak );
fp.calc(1e-6,0);
RTloss = fp.roundtripLoss;
