function Pout = scanFP( fp, lam )

Pout = zeros(length(lam), 3);

path595 = [5, 9, 5];
% make sure input field in ready
fp.inject2IFO;
[err, numTry] = fp.cavities.AccClosedCavityStationary( path595, 2/sqrt(0.014)*0, 1e-6, 'FPprop', 4, 2, 5 );
fprintf(1,'locaked after %d try, with error %g\n', numTry, err);
% fp.fields.printAll
delL0 = fp.props.propList(3).delL;
for ilam = 1:length( lam )
    fp.props.propList(3).delL = delL0 + lam(ilam);
    fp.props.propList(4).delL = delL0 + lam(ilam);
    fp.inject2IFO;
	fp.cavities.AccClosedCavityStationary( path595, 2/sqrt(0.014)*0, 1e-4, 0, 6, 2, 0 );
    Cmn = fp.fields.fieldList(5).FHGCoef(0:2,0:2);
    Pout(ilam, 1) = abs(Cmn(1,1))^2;
    Pout(ilam, 2) = abs(Cmn(1,2))^2 + abs(Cmn(2,1))^2;
    Pout(ilam, 3) = abs(Cmn(1,3))^2 + abs(Cmn(2,2))^2 + abs(Cmn(3,1))^2;
    if mod(ilam, 10) == 0
        fprintf(1,'%d) lam = %g, C00 = %g\n', ilam, lam(ilam), abs(Cmn(1,1)) );
    end
end

