% function dat = simpleTiltScan( fp, theta )
function dat = scanTiltCoupling( fp, theta )

fp.updateMirMaps( 'ETM', 'tiltE', 0 );
fp.lock;

IDOUT = fp.fields.findNamedField('ETM-HR-o',-1);
FID = fp.fields.findNamedField('ETM-HR-i',-1);
Ein = fp.fields.fieldList(FID).EFFT;
Ee0 = fp.getField('ETM-HR-o');
NEe0 = conj( Ee0 ) / sum(sum(abs(Ee0).^2));

for itheta = 1 : length( theta )
    fp.updateMirMaps( 'ETM', 'tiltE', theta(itheta) );
    dat(itheta,1) = theta(itheta);
    Ee = fp.fields.conv2std( IDOUT, fp.optics.refl( FID, Ein ) );
    Ae = sum(sum( (Ee-Ee0) .* NEe0 ));
    dat(itheta,2) = Ae;
    dat(itheta,3) = 1 - abs(1+Ae).^2;
end

