% contents after % are neglected, so lines like this are comment lines
% message
#print "How to use mirror phasemaps" 

% Basic FFT setup
Nfft = 512
Wfft = 0.6

% cavity parameters
aperture = 0.326
T_ITM = 1.48e-2
T_ETM = 3.7e-6
ROC_ETM = 2239.7
ROC_ITM = 1937.9
cavLeng = 3994.5

% Optics setup
% ITM
ITM.opt.T = T_ITM
ITM.opt.R = 1 - T_ITM - 10.4e-6
ITM.opt.ROC = ROC_ITM
ITM.aperture = aperture
ITM.opt.HR_phase = DATAFILE("/Users/hiro/Desktop/COC/BS/BS02/ZYGO/ITM04_CITZygo.dat", -3 )
ITM.correction = 3

% ETM
ETM.opt.T = T_ETM
ETM.opt.R = 1 - ETM.opt.T - 10.9e-6
ETM.opt.ROC = ROC_ETM
ETM.aperture = aperture
ETM.opt.HR_phase = DATAFILE("/Users/hiro/Desktop/COC/BS/BS02/ZYGO/ETM07_CIT.dat", -3 )
ETM.correction = 3

% Cavity setup
FPcav.L0 = cavLeng
FPcav.adaptiveGrid = 1

% message
#print ITM.aperture ETM.aperture ITM.opt.ROC ETM.opt.ROC FPcav.L0

